let choise = prompt("Введите название задания");

switch(choise) {
    case "switch: sizes": {
        let sizes = +prompt("Введите размер для перевода американскую систему");

        switch(sizes) {
            case 40: alert(`Размер ${sizes} в русской системе равен 6-ти в американской`);break;
            case 42: alert(`Размер ${sizes} в русской системе равен 8-ти в американской`);break;
            case 44: alert(`Размер ${sizes} в русской системе равен 10-ти в американской`);break;
            case 46: alert(`Размер ${sizes} в русской системе равен 12-ти в американской`);break;
            case 48: alert(`Размер ${sizes} в русской системе равен 14-ти в американской`);break;
            case 50: alert(`Размер ${sizes} в русской системе равен 16-ти в американской`);break;
            case 52: alert(`Размер ${sizes} в русской системе равен 18-ти в американской`);break;
            case 54: alert(`Размер ${sizes} в русской системе равен 20-ти в американской`);break;
            default: alert("Вы ввели не число");
        }
    } break;
    case "switch: if": {
        let color = prompt("Введите цвет");

        if(color == "red") {
            document.write("<div style='background-color: red;'>красный</div>");
            document.write("<div style='background-color: black; color: white;'>черный</div>");
        } else if(color == "black") {
            document.write("<div style='background-color: black; color: white;'>черный</div>");
        } else if(color == "blue") {
            document.write("<div style='background-color: blue;'>синий</div>");
            document.write("<div style='background-color: green;'>зеленый</div>");
        } else if(color == "green") {
            document.write("<div style='background-color: green;'>зеленый</div>");
        } else {
            document.write("<div style='background-color: gray;'>Я не понял</div>");
        }
    } break;
    case "prompt: or": {
        let userAge = +prompt("Введите ваш возраст") || alert("Вы не ввели ваш возраст");//Получаем возраст пользователя
        let dateNow = Date.now();                                                        //Получаем таймспан текущей даты
        let UserAgeInTimespan = userAge * 12 * 4.4 * 7 * 24 * 60 * 60 * 1000;            //Переводим userAge в миллисекунды
        let userYearBirth = new Date( dateNow - (UserAgeInTimespan) );                   /* Отнимаем UserAgeInTimespan от таймспана
                                                                                            текущей даты и получаем таймспан даты рождения пользователя */
        if(userAge) {                                                                    //Выводим год рождения
            alert(`Вы родились в ${userYearBirth.getFullYear()} г.`)
        }
    } break;
    case "confirm: or this days": {
        let shop = confirm("Шопинг?") || alert("Вы бяка ");
    } break;
    case "confirm: if this days": {
        let shop1 = confirm("Шопинг ?");

        if(!shop1) {
            alert("Бяка")
        }
    } break;
    case "triple prompt":
    case "default: or": {
        let userName = prompt("Введите ваше имя") || "Иван";
        let surname = prompt("введите вашу фамилию") || "Иванов";
        let secondname = prompt("Ваше отчество") || "Иванович";

        alert(`Ваши ФИО: ${surname} ${userName} ${secondname}`);
    } break;
    case "default: if": {
        let userName1 = prompt("Введите ваше имя");
        let surname1 = prompt("введите вашу фамилию");
        let secondname1 = prompt("Ваше отчество");

        if(!userName1) {
            userName1 = "Иван"
        }

        if(!surname1) {
            surname1 = "Иванов"
        }

        if(!secondname1) {
            secondname1 = "Иванович"
        }

        alert(`Ваши ФИО: ${surname1} ${userName1} ${secondname1}`);
    } break;
    case "login and password": {
        let loginInfo = {
            login: "admin",
            password: "qwerty"
        }
        
        let userLogin = prompt("Введите логин");
        let userPassword = prompt("Введите пароль");
        
        if(userLogin == loginInfo.login && userPassword == loginInfo.password) {
            alert("Вход одобрен")
        } else {
            alert("Неверно введен логин или пароль")
        }
    } break;
    case "currency calc":
    case "currency calc: improved": {
        let currency = prompt("Выберете валюту, usd или eur").toLowerCase();

        let course;

        switch(currency) {
            case "usd": course = 26.17; break;
            case "eur": course = 29.96; break;
        }

        let amount = +prompt("Введите нужное количество валюты");

        alert(`${amount} ${currency} это ${amount * course} гривен`);
    } break;
    case "scissors": {
        let userChoice = prompt("Введите 'камень', 'ножницы' или 'бумага'");
        let compChoice;
        let randomNumber = Math.random();

        if(randomNumber <= 0.3) {
            compChoice = "камень";
            alert("Компьютер выбрал камень");
        } else if(randomNumber > 0.3 && randomNumber <= 0.6) {
            compChoice = "ножницы";
            alert("Компьютер выбрал ножницы");
        } else {
            compChoice = "бумага";
            alert("Компьютер выбрал бумагу");
        }

            if(userChoice == "камень" && compChoice == "камень")   alert("У вас ничья");
        else if(userChoice == "ножницы" && compChoice == "ножницы") alert("У вас ничья");
        else if(userChoice == "бумага" && compChoice == "бумага")   alert("У вас ничья");
        else if(userChoice == "камень" && compChoice == "ножницы")  alert("Вы победили");
        else if(userChoice == "камень" && compChoice == "бумага")   alert("Вы проиграли");
        else if(userChoice == "ножницы" && compChoice == "камень")  alert("Вы проиграли");
        else if(userChoice == "ножницы" && compChoice == "бумага")  alert("Вы победили");
        else if(userChoice == "бумага" && compChoice == "камень")   alert("Вы победили");
        else if(userChoice == "бумага" && compChoice == "ножницы")  alert("Вы проиграли");
    } break;
    case "Задание на синий пояс": {
        let ratios = {
            usd: 25.6,
            eur: 29
        }
        
        let currency1 = prompt("Выберете валюту, usd или eur").toLowerCase();
        
        let course1;
        
        if(currency1 == "usd") {
            course1 = ratios.usd;
        } else {
            course1 = ratios.eur;
        }
        
        let amount1 = +prompt("Введите нужное количество валюты");
        
        alert(`${amount1} ${currency1} это ${amount1 * course1} гривен`);
    } break;
    case "real data": {
        let currency2 = prompt("Выберете валюту, usd или eur").toLowerCase();

        if(currency2 == "usd") {
            fetch('https://open.er-api.com/v6/latest/USD').then(res => res.json())
            .then(data => {
                    let amount2 = +prompt("Введите нужное количество валюты");
                    alert(`${amount2} ${currency2} это ${amount2 * data.rates.UAH} гривен`);
                })
        } else {
            fetch('https://open.er-api.com/v6/latest/EUR').then(res => res.json())
            .then(data => {
                    let amount2 = +prompt("Введите нужное количество валюты");
                    alert(`${amount2} ${currency2} это ${amount2 * data.rates.UAH} гривен`);
                })
        }
    } break;
    case "Задание на черный пояс": {
        let userChoice1 = prompt("Введите 'камень', 'ножницы' или 'бумага'");
        let compChoice1;
        let randomNumber1 = Math.random();

        if(randomNumber1 <= 0.3) {
            compChoice1 = "камень";
            alert("Компьютер выбрал камень");
        } else if(randomNumber1 > 0.3 && randomNumber1 <= 0.6) {
            compChoice1 = "ножницы";
            alert("Компьютер выбрал ножницы");
        } else {
            compChoice1 = "бумага";
            alert("Компьютер выбрал бумагу");
        }

        userChoice1 == compChoice1 ? alert("У вас ничья") :
        userChoice1 == "камень" && compChoice1 == "ножницы" || 
        userChoice1 == "ножницы" && compChoice1 == "бумага" || 
        userChoice1 == "бумага" && compChoice1 == "камень" ? alert("Вы победили") : alert("Вы проиграли");
    }
    default: alert("либо такого ДЗ нет либо я его не выполнил");
}
